<div class="black_bar_container"></div>

<div class="shopify-section">
	<article id="section-page" class="site-box-container container--fullscreen box--can-stick">
      <div id="splash-progress" class="splash-progress">
          <img src="https://cdn.shopify.com/s/files/1/0226/7276/9096/files/loading.gif?1955" alt="">
          <div class="loading-progress-bar">
              <div class="progressed_bar" style="width: 0%;" id="progress"></div>
          </div>
      </div>
      
	</article>
</div>


<style>
	#loading-progress-wrapper {
      position: fixed;
      /*width: 100%;*/
      height: 100vh;
      width: calc( 100% + 2px );
      height: calc( 100vh + 2px);
      margin:-1px;
      background-color: #000;
      
      top: 0px;
      z-index: 2147483648;
    }
  
    @-webkit-keyframes expand{
        0%{ height: 1350px}
        100%{height: 0}
    }
  
    .splash-progress {
        position: fixed;
        top: calc(50% - 77.5px);
        left: calc(50% - 64px);
    }
  
    .loading-progress-bar {
        width: 100%;
        height: 12.5px;
        background-color: #161516;
    }
    .progressed_bar {
        height: 12.5px;
        background-color: #c7f8c8;
    }
  
  	#splash-progress img {
      margin-bottom: 10px; 
    }
  
.black_bar_container{
  position: absolute;
  left: 0px;
  top: 0px;
  height: 100%;
  /*width: 100%;*/
  width: calc( 100% + 2px );
  margin-left:-1px;
  overflow: hidden;
  display: flex;
  align-items: flex-end;
}
.black_bar{
  background-color: black;
  /*width: 5%;*/
  width: calc( 5% + 1px );
  height: 100%;
  float: left;
  
  -webkit-transform: height 0.7s;
  -webkit-transition: -webkit-transform height 0.7s;
  -ms-transform: height 0.7s;
  transition: height 0.7s;
  
  border:none;
  padding:0px;
  /*margin:0px;*/
  margin-right:-1px;
}
.black_down{
  height:0%;
}
@-moz-document url-prefix() {
    .box_cover p {
        margin-top: 30px;
    }
}
  
</style>
<script>
jQuery(document).ready(function () {
  //Initial Animation #2
  for(var i=0;i<20;i++){
    $(".black_bar_container").append('<div class="black_bar"></div>');
  }
  $("#loading-progress-wrapper").css("background-color","initial");
  checkforVideos();
});
  
var obj = document.getElementById("progress");
var val = 0;
var time = setInterval(() => {
  val++;
  //console.log(videos_loaded);videos_loaded
  /*
  if ( videos_loaded && val<100 ){
    val += 100;
    obj.setAttribute("style", "width:100%");
  }
  */
  if ( val >= 100 ) {
    var splash = document.getElementById('loading-progress-wrapper');
    //splash.setAttribute('style', 'animation: expand 500ms;');
    clearInterval(time);
    
    
 
    setTimeout(() => {
      var pro_img = document.getElementById('splash-progress');
      pro_img.setAttribute('style', 'display: none;');
      //Animation #2
      setTimeout(function(){ 
        var anArray = $(".black_bar_container").find(".black_bar");
        for(var i=0;i<anArray.length;i++){
          var $v = $(anArray[i]);
          $v.delay(40*i).queue(function() {
            $(this).addClass("black_down");
          });
        }
      }, 100);
      checkforAnimationDone();
  
  
      //Hide the block completely.
      //setTimeout(() => {
        //splash.setAttribute('style', 'display: none');
      //},2000);
  
    },200);
  }
  if( val<=100 ) obj.setAttribute("style", "width:"+val+"%");
}, 30);

var videos_loaded = false;
var timer_videos_loaded;
function checkforVideos() {
    //Every 500ms, check if the video element has loaded
    timer_videos_loaded = setInterval(function(){
    	var VideoElement1 = document.getElementById("video-1");
    	var VideoElement2 = document.getElementById("video-2");
        //console.log(VideoElement1.readyState);
        if(VideoElement1.readyState >= 3 && VideoElement2.readyState >= 3){
            //This block of code is triggered when the video is loaded

          	//VideoElement1.play();
          	//VideoElement2.play();
            //your code goes here
            videos_loaded = true;

            //stop checking every half second
            clearInterval(timer_videos_loaded);

        }
        else{
        	//console.log("VS: loading");
        }
    },500);
}
  
function checkforAnimationDone() {
    //Every 500ms, check if the video element has loaded
    var timer_c = setInterval(function(){
        //if(jQuery(".black_down").length>=20){
        if( jQuery(".black_down:last").css("height")=="0px" ){
            //This block of code is triggered when the video is loaded

            //your code goes here
            var splash = document.getElementById('loading-progress-wrapper');
            setTimeout(() => {
              splash.setAttribute('style', 'display: none');
            },500);

            //stop checking every half second
            clearInterval(timer_c);

        }
        else{
          console.log("waiting for the animation loaded:"+jQuery(".black_down:last").css("height"));
        }
    },1000);
}
  
//
</script>

